Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class EntityAnimal

    java.lang.Object
      net.minecraft.src.Entity
          net.minecraft.src.EntityLiving
              net.minecraft.src.EntityCreature
                  net.minecraft.src.EntityAgeable
                      net.minecraft.src.EntityAnimal

All Implemented Interfaces:
  IAnimals

Direct Known Subclasses:
  EntityChicken, EntityCow, EntityPig, EntitySheep, EntityTameable

    public abstract class EntityAnimal

extends EntityAgeable
implements IAnimals

Field Summary
`int` | `inLove`

Fields inherited from class net.minecraft.src.EntityLiving
`arrowHitTempCounter, arrowHitTimer, attackedAtYaw, attackTime, cameraPitch, carryoverDamage, deathTime, experienceValue, field_70730_aX, field_70731_aW, field_70769_ao, field_70770_ap, field_82181_as, hurtTime, isJumping, isSwingInProgress, jumpMovementFactor, landMovementFactor, legSwing, legYaw, livingSoundTime, maxHurtResistantTime, maxHurtTime, prevCameraPitch, prevHealth, prevLegYaw, prevRenderYawOffset, prevRotationYawHead, prevSwingProgress, renderYawOffset, rotationYawHead, swingProgress, swingProgressInt, tasks`

Fields inherited from class net.minecraft.src.Entity
`addedToChunk, boundingBox, capturedDrops, captureDrops, chunkCoordX, chunkCoordY, chunkCoordZ, cloakUrl, dimension, distanceWalkedModified, entityCollisionReduction, entityId, fallDistance, field_70135_K, field_82151_R, fireResistance, height, hurtResistantTime, ignoreFrustumCheck, isAirBorne, isCollided, isCollidedHorizontally, isCollidedVertically, isDead, lastTickPosX, lastTickPosY, lastTickPosZ, motionX, motionY, motionZ, myEntitySize, noClip, onGround, posX, posY, posZ, prevDistanceWalkedModified, preventEntitySpawning, prevPosX, prevPosY, prevPosZ, prevRotationPitch, prevRotationYaw, renderDistanceWeight, riddenByEntity, ridingEntity, rotationPitch, rotationYaw, serverPosX, serverPosY, serverPosZ, skinUrl, stepHeight, ticksExisted, timeUntilPortal, velocityChanged, width, worldObj, yOffset, ySize`

Constructor Summary
`EntityAnimal(World par1World)`

Method Summary
`boolean` | `attackEntityFrom(DamageSource par1DamageSource, int par2)` Called when the entity is attacked.
`boolean` | `canMateWith(EntityAnimal par1EntityAnimal)` Returns true if the mob is currently able to mate with the specified mob.
`float` | `getBlockPathWeight(int par1, int par2, int par3)` Takes a coordinate in and returns a weight to determine how likely this creature will try to path to the block.
`boolean` | `getCanSpawnHere()` Checks if the entity's current position is a valid location to spawn this entity.
`int` | `getTalkInterval()` Get number of ticks, at least during which the living entity will be silent.
`boolean` | `interact(EntityPlayer par1EntityPlayer)` Called when a player interacts with a mob.
`boolean` | `isBreedingItem(ItemStack par1ItemStack)` Checks if the parameter is an item which this animal can be fed to breed it (wheat, carrots or seeds depending on the animal type)
`boolean` | `isInLove()` Returns if the entity is currently in 'love mode'.
`void` | `onLivingUpdate()` Called frequently so the entity can update its state every tick as required.
`void` | `readEntityFromNBT(NBTTagCompound par1NBTTagCompound)` (abstract) Protected helper method to read subclass entity data from NBT.
`void` | `resetInLove()`
`abstract EntityAnimal` | `spawnBabyAnimal(EntityAnimal var1)` This function is used when two same-species animals in 'love mode' breed to generate the new baby animal.
`void` | `writeEntityToNBT(NBTTagCompound par1NBTTagCompound)` (abstract) Protected helper method to write subclass entity data to NBT.

Methods inherited from class net.minecraft.src.EntityAgeable
`getGrowingAge, isChild, setGrowingAge`

Methods inherited from class net.minecraft.src.EntityCreature
`getEntityToAttack, getSpeedModifier, hasPath, setPathToEntity, setTarget`

Methods inherited from class net.minecraft.src.EntityLiving
`addPotionEffect, attackEntityAsMob, canBeCollidedWith, canBePushed, canBeSteered, canBreatheUnderwater, canEntityBeSeen, clearActivePotions, curePotionEffects, detachHome, eatGrassBonus, faceEntity, func_70079_am, func_82143_as, func_82159_b, func_82161_a, func_82165_m, getActivePotionEffect, getActivePotionEffects, getAge, getAIMoveSpeed, getAITarget, getAttackTarget, getCreatureAttribute, getCurrentArmor, getCurrentItemOrArmor, getEntitySenses, getEyeHeight, getHealth, getHeldItem, getHomePosition, getItemIcon, getJumpHelper, getLastActiveItems, getLastAttackingEntity, getLook, getLookHelper, getLookVec, getMaxHealth, getMaximumHomeDistance, getMaxSpawnedInChunk, getMoveHelper, getNavigator, getPosition, getRenderSizeModifier, getRNG, getSwingProgress, getTexture, getTotalArmorValue, getVerticalFaceSpeed, handleHealthUpdate, hasHome, heal, initCreature, isBlocking, isEntityAlive, isEntityUndead, isExplosiveMob, isOnLadder, isPlayerSleeping, isPotionActive, isPotionApplicable, isWithinHomeDistance, isWithinHomeDistanceCurrentPosition, knockBack, moveEntityWithHeading, onDeath, onEntityUpdate, onItemPickup, onUpdate, performHurtAnimation, playLivingSound, rayTrace, removePotionEffect, removePotionEffectClient, renderBrokenItemStack, setAIMoveSpeed, setAttackTarget, setCurrentItemOrArmor, setEntityHealth, setHeadRotationYaw, setHomeArea, setJumping, setLastAttackingEntity, setMoveForward, setPositionAndRotation2, setPositionAndUpdate, setRevengeTarget, spawnExplosionParticle, swingItem, updateRidden`

Methods inherited from class net.minecraft.src.Entity
`addEntityID, addToPlayerScore, addVelocity, applyEntityCollision, canAttackWithItem, copyDataFrom, doesEntityNotTriggerPressurePlate, dropItem, dropItemWithOffset, entityDropItem, equals, extinguish, func_82142_c, func_82146_a, func_82148_at, func_82149_j, func_82150_aj, generatePersistentID, getAir, getBoundingBox, getBrightness, getBrightnessForRender, getCollisionBorderSize, getCollisionBox, getDataWatcher, getDistance, getDistanceSq, getDistanceSqToEntity, getDistanceToEntity, getEntityData, getEntityName, getMaxInPortalTime, getMountedYOffset, getParts, getPersistentID, getPickedResult, getPortalCooldown, getShadowSize, getYOffset, handleLavaMovement, handleWaterMovement, hashCode, isBurning, isEating, isEntityEqual, isEntityInsideOpaqueBlock, isImmuneToFire, isInRangeToRenderDist, isInRangeToRenderVec3D, isInsideOfMaterial, isInWater, isOffsetPositionInLiquid, isRiding, isSneaking, isSprinting, isWet, mountEntity, moveEntity, moveFlying, onCollideWithPlayer, onKillEntity, onStruckByLightning, readFromNBT, setAir, setAngles, setDead, setEating, setFire, setInPortal, setInWeb, setLocationAndAngles, setPosition, setPositionAndRotation, setSneaking, setSprinting, setVelocity, setWorld, shouldRiderSit, toString, travelToDimension, unmountEntity, updateCloak, updateRiderPosition, writeToNBT`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### inLove

    public int inLove

Constructor Detail

### EntityAnimal

    public EntityAnimal(World par1World)

Method Detail

### onLivingUpdate

    public void onLivingUpdate()

  Called frequently so the entity can update its state every tick as required. For example, zombies and skeletons use this to react to sunlight and start to burn.

  Overrides:
    `onLivingUpdate` in class `EntityAgeable`

### spawnBabyAnimal

    public abstract EntityAnimal spawnBabyAnimal(EntityAnimal var1)

  This function is used when two same-species animals in 'love mode' breed to generate the new baby animal.

### attackEntityFrom

    public boolean attackEntityFrom(DamageSource par1DamageSource,
                                    int par2)

  Called when the entity is attacked.

  Overrides:
    `attackEntityFrom` in class `EntityLiving`

### getBlockPathWeight

    public float getBlockPathWeight(int par1,
                                    int par2,
                                    int par3)

  Takes a coordinate in and returns a weight to determine how likely this creature will try to path to the block. Args: x, y, z

  Overrides:
    `getBlockPathWeight` in class `EntityCreature`

### writeEntityToNBT

    public void writeEntityToNBT(NBTTagCompound par1NBTTagCompound)

  (abstract) Protected helper method to write subclass entity data to NBT.

  Overrides:
    `writeEntityToNBT` in class `EntityAgeable`

### readEntityFromNBT

    public void readEntityFromNBT(NBTTagCompound par1NBTTagCompound)

  (abstract) Protected helper method to read subclass entity data from NBT.

  Overrides:
    `readEntityFromNBT` in class `EntityAgeable`

### getCanSpawnHere

    public boolean getCanSpawnHere()

  Checks if the entity's current position is a valid location to spawn this entity.

  Overrides:
    `getCanSpawnHere` in class `EntityCreature`

### getTalkInterval

    public int getTalkInterval()

  Get number of ticks, at least during which the living entity will be silent.

  Overrides:
    `getTalkInterval` in class `EntityLiving`

### isBreedingItem

    public boolean isBreedingItem(ItemStack par1ItemStack)

  Checks if the parameter is an item which this animal can be fed to breed it (wheat, carrots or seeds depending on the animal type)

### interact

    public boolean interact(EntityPlayer par1EntityPlayer)

  Called when a player interacts with a mob. e.g. gets milk from a cow, gets into the saddle on a pig.

  Overrides:
    `interact` in class `Entity`

### isInLove

    public boolean isInLove()

  Returns if the entity is currently in 'love mode'.

### resetInLove

    public void resetInLove()

### canMateWith

    public boolean canMateWith(EntityAnimal par1EntityAnimal)

  Returns true if the mob is currently able to mate with the specified mob.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD